#include "networld.h"
#include <stdio.h>
#include <stdlib.h>

// Constructor / Destructor
NetWorld * NetWorld_new(int size)
{
    NetWorld * p = malloc( sizeof(NetWorld) );
    p->size= size;
    p->nodes= malloc( p->size * sizeof(Node) );
    return p;
}

void NetWorld_delete(NetWorld * self)
{
    free( self->nodes );
    free( self );
}

// Initialization
void NetWorld_initNodePosition(
    NetWorld * self, int iNode,
    float x, float y)
{
    self->nodes[iNode].position.x= x;
    self->nodes[iNode].position.y= y;
}

// To String
void NetWorld_print(NetWorld * self)
{
    for(int i= 0 ; i < self->size ; ++i )
        printf("[%.2f, %.2f]\n", self->nodes[i].position.x, self->nodes[i].position.y);
}
